ScoopParserInternal::TextZoneShape Struct Reference

Internal: a text zone shape of a ScoopParser. More...

## Public Member Functions
| TextZoneShape ()
| constructor

## Public Attributes
int | m_page
| the page
MWAWBox2f | m_box
| the bounding box
int | m_limits [2]
| the paragraph id list corresponding to this shape
float | m_slants [2]
| the slant values: original, decal?
int | m_verticalMode
| the vertical position: 0: center, 1: bottom, 2: top, 3: justify
bool | m_flips [2]
| the flip flags

## Detailed Description

Internal: a text zone shape of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ TextZoneShape()

ScoopParserInternal::TextZoneShape::TextZoneShape | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_box

MWAWBox2f ScoopParserInternal::TextZoneShape::m_box

the bounding box

Referenced by ScoopParser::readTextZone(), and TextZoneShape().

## ◆ m_flips

bool ScoopParserInternal::TextZoneShape::m_flips[2]

the flip flags

Referenced by ScoopParser::readTextZone(), and TextZoneShape().

## ◆ m_limits

int ScoopParserInternal::TextZoneShape::m_limits[2]

the paragraph id list corresponding to this shape

Referenced by ScoopParser::readTextZone(), and TextZoneShape().

## ◆ m_page

int ScoopParserInternal::TextZoneShape::m_page

the page

Referenced by ScoopParser::readTextZone(), and TextZoneShape().

## ◆ m_slants

float ScoopParserInternal::TextZoneShape::m_slants[2]

the slant values: original, decal?

Referenced by ScoopParser::readTextZone(), and TextZoneShape().

## ◆ m_verticalMode

int ScoopParserInternal::TextZoneShape::m_verticalMode

the vertical position: 0: center, 1: bottom, 2: top, 3: justify

Referenced by ScoopParser::readTextZone(), and TextZoneShape().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx